Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network136.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
136.64.0.0
Broadcast address
136.95.255.255
First usable
136.64.0.1
Last usable
136.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
B (default /16)
As numbers
Hex 88400000 · Integer 2285895680 to 2287992831
Reverse DNS zones
64.136.in-addr.arpa
65.136.in-addr.arpa
66.136.in-addr.arpa
67.136.in-addr.arpa
68.136.in-addr.arpa
69.136.in-addr.arpa
70.136.in-addr.arpa
71.136.in-addr.arpa
72.136.in-addr.arpa
73.136.in-addr.arpa
74.136.in-addr.arpa
75.136.in-addr.arpa
76.136.in-addr.arpa
77.136.in-addr.arpa
78.136.in-addr.arpa
79.136.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001000.01000000.00000000.00000000136.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network10001000.01000000.00000000.00000000136.64.0.0
Broadcast10001000.01011111.11111111.11111111136.95.255.255
Split into smaller subnets/21

136.64.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1136.64.0.0/21136.64.0.1 to 136.64.7.254136.64.7.2552,046
2136.64.8.0/21136.64.8.1 to 136.64.15.254136.64.15.2552,046
3136.64.16.0/21136.64.16.1 to 136.64.23.254136.64.23.2552,046
4136.64.24.0/21136.64.24.1 to 136.64.31.254136.64.31.2552,046
5136.64.32.0/21136.64.32.1 to 136.64.39.254136.64.39.2552,046
6136.64.40.0/21136.64.40.1 to 136.64.47.254136.64.47.2552,046
7136.64.48.0/21136.64.48.1 to 136.64.55.254136.64.55.2552,046
8136.64.56.0/21136.64.56.1 to 136.64.63.254136.64.63.2552,046
9136.64.64.0/21136.64.64.1 to 136.64.71.254136.64.71.2552,046
10136.64.72.0/21136.64.72.1 to 136.64.79.254136.64.79.2552,046
11136.64.80.0/21136.64.80.1 to 136.64.87.254136.64.87.2552,046
12136.64.88.0/21136.64.88.1 to 136.64.95.254136.64.95.2552,046
13136.64.96.0/21136.64.96.1 to 136.64.103.254136.64.103.2552,046
14136.64.104.0/21136.64.104.1 to 136.64.111.254136.64.111.2552,046
15136.64.112.0/21136.64.112.1 to 136.64.119.254136.64.119.2552,046
16136.64.120.0/21136.64.120.1 to 136.64.127.254136.64.127.2552,046
17136.64.128.0/21136.64.128.1 to 136.64.135.254136.64.135.2552,046
18136.64.136.0/21136.64.136.1 to 136.64.143.254136.64.143.2552,046
19136.64.144.0/21136.64.144.1 to 136.64.151.254136.64.151.2552,046
20136.64.152.0/21136.64.152.1 to 136.64.159.254136.64.159.2552,046
21136.64.160.0/21136.64.160.1 to 136.64.167.254136.64.167.2552,046
22136.64.168.0/21136.64.168.1 to 136.64.175.254136.64.175.2552,046
23136.64.176.0/21136.64.176.1 to 136.64.183.254136.64.183.2552,046
24136.64.184.0/21136.64.184.1 to 136.64.191.254136.64.191.2552,046
25136.64.192.0/21136.64.192.1 to 136.64.199.254136.64.199.2552,046
26136.64.200.0/21136.64.200.1 to 136.64.207.254136.64.207.2552,046
27136.64.208.0/21136.64.208.1 to 136.64.215.254136.64.215.2552,046
28136.64.216.0/21136.64.216.1 to 136.64.223.254136.64.223.2552,046
29136.64.224.0/21136.64.224.1 to 136.64.231.254136.64.231.2552,046
30136.64.232.0/21136.64.232.1 to 136.64.239.254136.64.239.2552,046
31136.64.240.0/21136.64.240.1 to 136.64.247.254136.64.247.2552,046
32136.64.248.0/21136.64.248.1 to 136.64.255.254136.64.255.2552,046
33136.65.0.0/21136.65.0.1 to 136.65.7.254136.65.7.2552,046
34136.65.8.0/21136.65.8.1 to 136.65.15.254136.65.15.2552,046
35136.65.16.0/21136.65.16.1 to 136.65.23.254136.65.23.2552,046
36136.65.24.0/21136.65.24.1 to 136.65.31.254136.65.31.2552,046
37136.65.32.0/21136.65.32.1 to 136.65.39.254136.65.39.2552,046
38136.65.40.0/21136.65.40.1 to 136.65.47.254136.65.47.2552,046
39136.65.48.0/21136.65.48.1 to 136.65.55.254136.65.55.2552,046
40136.65.56.0/21136.65.56.1 to 136.65.63.254136.65.63.2552,046
41136.65.64.0/21136.65.64.1 to 136.65.71.254136.65.71.2552,046
42136.65.72.0/21136.65.72.1 to 136.65.79.254136.65.79.2552,046
43136.65.80.0/21136.65.80.1 to 136.65.87.254136.65.87.2552,046
44136.65.88.0/21136.65.88.1 to 136.65.95.254136.65.95.2552,046
45136.65.96.0/21136.65.96.1 to 136.65.103.254136.65.103.2552,046
46136.65.104.0/21136.65.104.1 to 136.65.111.254136.65.111.2552,046
47136.65.112.0/21136.65.112.1 to 136.65.119.254136.65.119.2552,046
48136.65.120.0/21136.65.120.1 to 136.65.127.254136.65.127.2552,046
49136.65.128.0/21136.65.128.1 to 136.65.135.254136.65.135.2552,046
50136.65.136.0/21136.65.136.1 to 136.65.143.254136.65.143.2552,046
51136.65.144.0/21136.65.144.1 to 136.65.151.254136.65.151.2552,046
52136.65.152.0/21136.65.152.1 to 136.65.159.254136.65.159.2552,046
53136.65.160.0/21136.65.160.1 to 136.65.167.254136.65.167.2552,046
54136.65.168.0/21136.65.168.1 to 136.65.175.254136.65.175.2552,046
55136.65.176.0/21136.65.176.1 to 136.65.183.254136.65.183.2552,046
56136.65.184.0/21136.65.184.1 to 136.65.191.254136.65.191.2552,046
57136.65.192.0/21136.65.192.1 to 136.65.199.254136.65.199.2552,046
58136.65.200.0/21136.65.200.1 to 136.65.207.254136.65.207.2552,046
59136.65.208.0/21136.65.208.1 to 136.65.215.254136.65.215.2552,046
60136.65.216.0/21136.65.216.1 to 136.65.223.254136.65.223.2552,046
61136.65.224.0/21136.65.224.1 to 136.65.231.254136.65.231.2552,046
62136.65.232.0/21136.65.232.1 to 136.65.239.254136.65.239.2552,046
63136.65.240.0/21136.65.240.1 to 136.65.247.254136.65.247.2552,046
64136.65.248.0/21136.65.248.1 to 136.65.255.254136.65.255.2552,046
65136.66.0.0/21136.66.0.1 to 136.66.7.254136.66.7.2552,046
66136.66.8.0/21136.66.8.1 to 136.66.15.254136.66.15.2552,046
67136.66.16.0/21136.66.16.1 to 136.66.23.254136.66.23.2552,046
68136.66.24.0/21136.66.24.1 to 136.66.31.254136.66.31.2552,046
69136.66.32.0/21136.66.32.1 to 136.66.39.254136.66.39.2552,046
70136.66.40.0/21136.66.40.1 to 136.66.47.254136.66.47.2552,046
71136.66.48.0/21136.66.48.1 to 136.66.55.254136.66.55.2552,046
72136.66.56.0/21136.66.56.1 to 136.66.63.254136.66.63.2552,046
73136.66.64.0/21136.66.64.1 to 136.66.71.254136.66.71.2552,046
74136.66.72.0/21136.66.72.1 to 136.66.79.254136.66.79.2552,046
75136.66.80.0/21136.66.80.1 to 136.66.87.254136.66.87.2552,046
76136.66.88.0/21136.66.88.1 to 136.66.95.254136.66.95.2552,046
77136.66.96.0/21136.66.96.1 to 136.66.103.254136.66.103.2552,046
78136.66.104.0/21136.66.104.1 to 136.66.111.254136.66.111.2552,046
79136.66.112.0/21136.66.112.1 to 136.66.119.254136.66.119.2552,046
80136.66.120.0/21136.66.120.1 to 136.66.127.254136.66.127.2552,046
81136.66.128.0/21136.66.128.1 to 136.66.135.254136.66.135.2552,046
82136.66.136.0/21136.66.136.1 to 136.66.143.254136.66.143.2552,046
83136.66.144.0/21136.66.144.1 to 136.66.151.254136.66.151.2552,046
84136.66.152.0/21136.66.152.1 to 136.66.159.254136.66.159.2552,046
85136.66.160.0/21136.66.160.1 to 136.66.167.254136.66.167.2552,046
86136.66.168.0/21136.66.168.1 to 136.66.175.254136.66.175.2552,046
87136.66.176.0/21136.66.176.1 to 136.66.183.254136.66.183.2552,046
88136.66.184.0/21136.66.184.1 to 136.66.191.254136.66.191.2552,046
89136.66.192.0/21136.66.192.1 to 136.66.199.254136.66.199.2552,046
90136.66.200.0/21136.66.200.1 to 136.66.207.254136.66.207.2552,046
91136.66.208.0/21136.66.208.1 to 136.66.215.254136.66.215.2552,046
92136.66.216.0/21136.66.216.1 to 136.66.223.254136.66.223.2552,046
93136.66.224.0/21136.66.224.1 to 136.66.231.254136.66.231.2552,046
94136.66.232.0/21136.66.232.1 to 136.66.239.254136.66.239.2552,046
95136.66.240.0/21136.66.240.1 to 136.66.247.254136.66.247.2552,046
96136.66.248.0/21136.66.248.1 to 136.66.255.254136.66.255.2552,046
97136.67.0.0/21136.67.0.1 to 136.67.7.254136.67.7.2552,046
98136.67.8.0/21136.67.8.1 to 136.67.15.254136.67.15.2552,046
99136.67.16.0/21136.67.16.1 to 136.67.23.254136.67.23.2552,046
100136.67.24.0/21136.67.24.1 to 136.67.31.254136.67.31.2552,046
101136.67.32.0/21136.67.32.1 to 136.67.39.254136.67.39.2552,046
102136.67.40.0/21136.67.40.1 to 136.67.47.254136.67.47.2552,046
103136.67.48.0/21136.67.48.1 to 136.67.55.254136.67.55.2552,046
104136.67.56.0/21136.67.56.1 to 136.67.63.254136.67.63.2552,046
105136.67.64.0/21136.67.64.1 to 136.67.71.254136.67.71.2552,046
106136.67.72.0/21136.67.72.1 to 136.67.79.254136.67.79.2552,046
107136.67.80.0/21136.67.80.1 to 136.67.87.254136.67.87.2552,046
108136.67.88.0/21136.67.88.1 to 136.67.95.254136.67.95.2552,046
109136.67.96.0/21136.67.96.1 to 136.67.103.254136.67.103.2552,046
110136.67.104.0/21136.67.104.1 to 136.67.111.254136.67.111.2552,046
111136.67.112.0/21136.67.112.1 to 136.67.119.254136.67.119.2552,046
112136.67.120.0/21136.67.120.1 to 136.67.127.254136.67.127.2552,046
113136.67.128.0/21136.67.128.1 to 136.67.135.254136.67.135.2552,046
114136.67.136.0/21136.67.136.1 to 136.67.143.254136.67.143.2552,046
115136.67.144.0/21136.67.144.1 to 136.67.151.254136.67.151.2552,046
116136.67.152.0/21136.67.152.1 to 136.67.159.254136.67.159.2552,046
117136.67.160.0/21136.67.160.1 to 136.67.167.254136.67.167.2552,046
118136.67.168.0/21136.67.168.1 to 136.67.175.254136.67.175.2552,046
119136.67.176.0/21136.67.176.1 to 136.67.183.254136.67.183.2552,046
120136.67.184.0/21136.67.184.1 to 136.67.191.254136.67.191.2552,046
121136.67.192.0/21136.67.192.1 to 136.67.199.254136.67.199.2552,046
122136.67.200.0/21136.67.200.1 to 136.67.207.254136.67.207.2552,046
123136.67.208.0/21136.67.208.1 to 136.67.215.254136.67.215.2552,046
124136.67.216.0/21136.67.216.1 to 136.67.223.254136.67.223.2552,046
125136.67.224.0/21136.67.224.1 to 136.67.231.254136.67.231.2552,046
126136.67.232.0/21136.67.232.1 to 136.67.239.254136.67.239.2552,046
127136.67.240.0/21136.67.240.1 to 136.67.247.254136.67.247.2552,046
128136.67.248.0/21136.67.248.1 to 136.67.255.254136.67.255.2552,046
129136.68.0.0/21136.68.0.1 to 136.68.7.254136.68.7.2552,046
130136.68.8.0/21136.68.8.1 to 136.68.15.254136.68.15.2552,046
131136.68.16.0/21136.68.16.1 to 136.68.23.254136.68.23.2552,046
132136.68.24.0/21136.68.24.1 to 136.68.31.254136.68.31.2552,046
133136.68.32.0/21136.68.32.1 to 136.68.39.254136.68.39.2552,046
134136.68.40.0/21136.68.40.1 to 136.68.47.254136.68.47.2552,046
135136.68.48.0/21136.68.48.1 to 136.68.55.254136.68.55.2552,046
136136.68.56.0/21136.68.56.1 to 136.68.63.254136.68.63.2552,046
137136.68.64.0/21136.68.64.1 to 136.68.71.254136.68.71.2552,046
138136.68.72.0/21136.68.72.1 to 136.68.79.254136.68.79.2552,046
139136.68.80.0/21136.68.80.1 to 136.68.87.254136.68.87.2552,046
140136.68.88.0/21136.68.88.1 to 136.68.95.254136.68.95.2552,046
141136.68.96.0/21136.68.96.1 to 136.68.103.254136.68.103.2552,046
142136.68.104.0/21136.68.104.1 to 136.68.111.254136.68.111.2552,046
143136.68.112.0/21136.68.112.1 to 136.68.119.254136.68.119.2552,046
144136.68.120.0/21136.68.120.1 to 136.68.127.254136.68.127.2552,046
145136.68.128.0/21136.68.128.1 to 136.68.135.254136.68.135.2552,046
146136.68.136.0/21136.68.136.1 to 136.68.143.254136.68.143.2552,046
147136.68.144.0/21136.68.144.1 to 136.68.151.254136.68.151.2552,046
148136.68.152.0/21136.68.152.1 to 136.68.159.254136.68.159.2552,046
149136.68.160.0/21136.68.160.1 to 136.68.167.254136.68.167.2552,046
150136.68.168.0/21136.68.168.1 to 136.68.175.254136.68.175.2552,046
151136.68.176.0/21136.68.176.1 to 136.68.183.254136.68.183.2552,046
152136.68.184.0/21136.68.184.1 to 136.68.191.254136.68.191.2552,046
153136.68.192.0/21136.68.192.1 to 136.68.199.254136.68.199.2552,046
154136.68.200.0/21136.68.200.1 to 136.68.207.254136.68.207.2552,046
155136.68.208.0/21136.68.208.1 to 136.68.215.254136.68.215.2552,046
156136.68.216.0/21136.68.216.1 to 136.68.223.254136.68.223.2552,046
157136.68.224.0/21136.68.224.1 to 136.68.231.254136.68.231.2552,046
158136.68.232.0/21136.68.232.1 to 136.68.239.254136.68.239.2552,046
159136.68.240.0/21136.68.240.1 to 136.68.247.254136.68.247.2552,046
160136.68.248.0/21136.68.248.1 to 136.68.255.254136.68.255.2552,046
161136.69.0.0/21136.69.0.1 to 136.69.7.254136.69.7.2552,046
162136.69.8.0/21136.69.8.1 to 136.69.15.254136.69.15.2552,046
163136.69.16.0/21136.69.16.1 to 136.69.23.254136.69.23.2552,046
164136.69.24.0/21136.69.24.1 to 136.69.31.254136.69.31.2552,046
165136.69.32.0/21136.69.32.1 to 136.69.39.254136.69.39.2552,046
166136.69.40.0/21136.69.40.1 to 136.69.47.254136.69.47.2552,046
167136.69.48.0/21136.69.48.1 to 136.69.55.254136.69.55.2552,046
168136.69.56.0/21136.69.56.1 to 136.69.63.254136.69.63.2552,046
169136.69.64.0/21136.69.64.1 to 136.69.71.254136.69.71.2552,046
170136.69.72.0/21136.69.72.1 to 136.69.79.254136.69.79.2552,046
171136.69.80.0/21136.69.80.1 to 136.69.87.254136.69.87.2552,046
172136.69.88.0/21136.69.88.1 to 136.69.95.254136.69.95.2552,046
173136.69.96.0/21136.69.96.1 to 136.69.103.254136.69.103.2552,046
174136.69.104.0/21136.69.104.1 to 136.69.111.254136.69.111.2552,046
175136.69.112.0/21136.69.112.1 to 136.69.119.254136.69.119.2552,046
176136.69.120.0/21136.69.120.1 to 136.69.127.254136.69.127.2552,046
177136.69.128.0/21136.69.128.1 to 136.69.135.254136.69.135.2552,046
178136.69.136.0/21136.69.136.1 to 136.69.143.254136.69.143.2552,046
179136.69.144.0/21136.69.144.1 to 136.69.151.254136.69.151.2552,046
180136.69.152.0/21136.69.152.1 to 136.69.159.254136.69.159.2552,046
181136.69.160.0/21136.69.160.1 to 136.69.167.254136.69.167.2552,046
182136.69.168.0/21136.69.168.1 to 136.69.175.254136.69.175.2552,046
183136.69.176.0/21136.69.176.1 to 136.69.183.254136.69.183.2552,046
184136.69.184.0/21136.69.184.1 to 136.69.191.254136.69.191.2552,046
185136.69.192.0/21136.69.192.1 to 136.69.199.254136.69.199.2552,046
186136.69.200.0/21136.69.200.1 to 136.69.207.254136.69.207.2552,046
187136.69.208.0/21136.69.208.1 to 136.69.215.254136.69.215.2552,046
188136.69.216.0/21136.69.216.1 to 136.69.223.254136.69.223.2552,046
189136.69.224.0/21136.69.224.1 to 136.69.231.254136.69.231.2552,046
190136.69.232.0/21136.69.232.1 to 136.69.239.254136.69.239.2552,046
191136.69.240.0/21136.69.240.1 to 136.69.247.254136.69.247.2552,046
192136.69.248.0/21136.69.248.1 to 136.69.255.254136.69.255.2552,046
193136.70.0.0/21136.70.0.1 to 136.70.7.254136.70.7.2552,046
194136.70.8.0/21136.70.8.1 to 136.70.15.254136.70.15.2552,046
195136.70.16.0/21136.70.16.1 to 136.70.23.254136.70.23.2552,046
196136.70.24.0/21136.70.24.1 to 136.70.31.254136.70.31.2552,046
197136.70.32.0/21136.70.32.1 to 136.70.39.254136.70.39.2552,046
198136.70.40.0/21136.70.40.1 to 136.70.47.254136.70.47.2552,046
199136.70.48.0/21136.70.48.1 to 136.70.55.254136.70.55.2552,046
200136.70.56.0/21136.70.56.1 to 136.70.63.254136.70.63.2552,046
201136.70.64.0/21136.70.64.1 to 136.70.71.254136.70.71.2552,046
202136.70.72.0/21136.70.72.1 to 136.70.79.254136.70.79.2552,046
203136.70.80.0/21136.70.80.1 to 136.70.87.254136.70.87.2552,046
204136.70.88.0/21136.70.88.1 to 136.70.95.254136.70.95.2552,046
205136.70.96.0/21136.70.96.1 to 136.70.103.254136.70.103.2552,046
206136.70.104.0/21136.70.104.1 to 136.70.111.254136.70.111.2552,046
207136.70.112.0/21136.70.112.1 to 136.70.119.254136.70.119.2552,046
208136.70.120.0/21136.70.120.1 to 136.70.127.254136.70.127.2552,046
209136.70.128.0/21136.70.128.1 to 136.70.135.254136.70.135.2552,046
210136.70.136.0/21136.70.136.1 to 136.70.143.254136.70.143.2552,046
211136.70.144.0/21136.70.144.1 to 136.70.151.254136.70.151.2552,046
212136.70.152.0/21136.70.152.1 to 136.70.159.254136.70.159.2552,046
213136.70.160.0/21136.70.160.1 to 136.70.167.254136.70.167.2552,046
214136.70.168.0/21136.70.168.1 to 136.70.175.254136.70.175.2552,046
215136.70.176.0/21136.70.176.1 to 136.70.183.254136.70.183.2552,046
216136.70.184.0/21136.70.184.1 to 136.70.191.254136.70.191.2552,046
217136.70.192.0/21136.70.192.1 to 136.70.199.254136.70.199.2552,046
218136.70.200.0/21136.70.200.1 to 136.70.207.254136.70.207.2552,046
219136.70.208.0/21136.70.208.1 to 136.70.215.254136.70.215.2552,046
220136.70.216.0/21136.70.216.1 to 136.70.223.254136.70.223.2552,046
221136.70.224.0/21136.70.224.1 to 136.70.231.254136.70.231.2552,046
222136.70.232.0/21136.70.232.1 to 136.70.239.254136.70.239.2552,046
223136.70.240.0/21136.70.240.1 to 136.70.247.254136.70.247.2552,046
224136.70.248.0/21136.70.248.1 to 136.70.255.254136.70.255.2552,046
225136.71.0.0/21136.71.0.1 to 136.71.7.254136.71.7.2552,046
226136.71.8.0/21136.71.8.1 to 136.71.15.254136.71.15.2552,046
227136.71.16.0/21136.71.16.1 to 136.71.23.254136.71.23.2552,046
228136.71.24.0/21136.71.24.1 to 136.71.31.254136.71.31.2552,046
229136.71.32.0/21136.71.32.1 to 136.71.39.254136.71.39.2552,046
230136.71.40.0/21136.71.40.1 to 136.71.47.254136.71.47.2552,046
231136.71.48.0/21136.71.48.1 to 136.71.55.254136.71.55.2552,046
232136.71.56.0/21136.71.56.1 to 136.71.63.254136.71.63.2552,046
233136.71.64.0/21136.71.64.1 to 136.71.71.254136.71.71.2552,046
234136.71.72.0/21136.71.72.1 to 136.71.79.254136.71.79.2552,046
235136.71.80.0/21136.71.80.1 to 136.71.87.254136.71.87.2552,046
236136.71.88.0/21136.71.88.1 to 136.71.95.254136.71.95.2552,046
237136.71.96.0/21136.71.96.1 to 136.71.103.254136.71.103.2552,046
238136.71.104.0/21136.71.104.1 to 136.71.111.254136.71.111.2552,046
239136.71.112.0/21136.71.112.1 to 136.71.119.254136.71.119.2552,046
240136.71.120.0/21136.71.120.1 to 136.71.127.254136.71.127.2552,046
241136.71.128.0/21136.71.128.1 to 136.71.135.254136.71.135.2552,046
242136.71.136.0/21136.71.136.1 to 136.71.143.254136.71.143.2552,046
243136.71.144.0/21136.71.144.1 to 136.71.151.254136.71.151.2552,046
244136.71.152.0/21136.71.152.1 to 136.71.159.254136.71.159.2552,046
245136.71.160.0/21136.71.160.1 to 136.71.167.254136.71.167.2552,046
246136.71.168.0/21136.71.168.1 to 136.71.175.254136.71.175.2552,046
247136.71.176.0/21136.71.176.1 to 136.71.183.254136.71.183.2552,046
248136.71.184.0/21136.71.184.1 to 136.71.191.254136.71.191.2552,046
249136.71.192.0/21136.71.192.1 to 136.71.199.254136.71.199.2552,046
250136.71.200.0/21136.71.200.1 to 136.71.207.254136.71.207.2552,046
251136.71.208.0/21136.71.208.1 to 136.71.215.254136.71.215.2552,046
252136.71.216.0/21136.71.216.1 to 136.71.223.254136.71.223.2552,046
253136.71.224.0/21136.71.224.1 to 136.71.231.254136.71.231.2552,046
254136.71.232.0/21136.71.232.1 to 136.71.239.254136.71.239.2552,046
255136.71.240.0/21136.71.240.1 to 136.71.247.254136.71.247.2552,046
256136.71.248.0/21136.71.248.1 to 136.71.255.254136.71.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses